#include <StepperAK.h>          // Stepper Motor Library
#include <LiquidCrystal_I2C.h>      // LCD Screen Library
#define Red 10      // LED Pins
#define Green 11
#define Yellow 12
const int stepsPerRevolution = 2040;
int stepCount = 4;
Stepper myStepper(stepsPerRevolution, 3,2,4,5);

LiquidCrystal_I2C myDisplay(0x27,16,2);
void setup() {
  myDisplay.init();       // activates the LCD screen
  myDisplay.backlight();
  pinMode(Red, OUTPUT);     // LED lights are set as outputs
  pinMode(Green, OUTPUT);
  pinMode(Yellow, OUTPUT);
}

void loop() {
  int sensorReading = analogRead(A0);   // reads data from the potentiometer
  int motorSpeed = map(sensorReading, 0, 1023, 0, 10);   // converts the data from the potentiometer
  if (motorSpeed == 0){   // turns red light on and green light off
    analogWrite(Red, 255);
    analogWrite(Green, 0);
  }
  else{                     // turns red light off and green light on
    analogWrite(Red, 0);    
    analogWrite(Green, 255);
  }
  if (motorSpeed == 99){      // turns yellow light on when the maximum speed is reached 
    analogWrite(Yellow, 255);
  }
  else {                    // turns yellow light off when the speed is anything less than 99
    analogWrite(Yellow, 0);
  }
  if (motorSpeed > 0)     // turns the stepper motor on when the motorSpeed value is greater than 0
  {
    myStepper.setSpeed(motorSpeed);     // the stepper motor spped is based on the value given by the motorSpeed
    myStepper.step(stepsPerRevolution/100);    
  }
    myDisplay.setCursor(0,0);       // displays the motorSpeed onto the LCD screen as RPM
    myDisplay.print(motorSpeed);
    myDisplay.setCursor(0,5);
    myDisplay.print("RPM");
}
